gtk-sni-tray-0.1.9.0: A standalone StatusNotifierItem/AppIndicator tray

Safe Haskell | None
Language | Haskell2010

StatusNotifier.Tray

# Documentation

trayLogger :: Priority -> String -> IO () Source #

logItemInfo :: ItemInfo -> String -> IO () Source #

getScaledWidthHeight :: Bool -> Int32 -> Int32 -> Int32 -> (Int32, Int32) Source #

scalePixbufToSize :: Int32 -> Orientation -> Pixbuf -> IO Pixbuf Source #

themeLoadFlags :: [IconLookupFlags] Source #

getThemeWithDefaultFallbacks :: String -> IO IconTheme Source #

catchGErrorsAsLeft :: IO a -> IO (Either GError a) Source #

catchGErrorsAsNothing :: IO a -> IO (Maybe a) Source #

safePixbufNewFromFile :: FilePath -> IO (Maybe Pixbuf) Source #

getIconPixbufByName :: Int32 -> Text -> Maybe String -> IO (Maybe Pixbuf) Source #

getIconPathFromThemePath :: String -> String -> IO (Maybe String) Source #

getIconPixbufFromByteString :: Int32 -> Int32 -> ByteString -> IO Pixbuf Source #

data ItemContext Source #

Constructors

ItemContext |

Fields

- contextName :: BusName
- contextMenu :: Maybe Menu
- contextImage :: Image
- contextButton :: EventBox

data TrayImageSize Source #

Constructors

Expand |
TrayImageSize Int32 |

data TrayClickAction Source #

Constructors

Activate |
SecondaryActivate |
PopupMenu |

data TrayParams Source #

Constructors

TrayParams |

Fields

- trayOrientation :: Orientation
- trayImageSize :: TrayImageSize
- trayIconExpand :: Bool
- trayAlignment :: StrutAlignment
- trayOverlayScale :: Rational
- trayLeftClickAction :: TrayClickAction
- trayMiddleClickAction :: TrayClickAction
- trayRightClickAction :: TrayClickAction

defaultTrayParams :: TrayParams Source #

buildTray :: Host -> Client -> TrayParams -> IO Box Source #